diff --git a/books/bookvol10.5.pamphlet b/books/bookvol10.5.pamphlet
index 8b5548c..9955f2b 100644
--- a/books/bookvol10.5.pamphlet
+++ b/books/bookvol10.5.pamphlet
@@ -1180,7 +1180,7 @@ NOTES:
 
 <<BLAS 1 dasum>>=
 (defun dasum (n dx incx)
- (declare (type (simple-vector double-float (*)) dx) (type fixnum incx n))
+ (declare (type (simple-array double-float (*)) dx) (type fixnum incx n))
  (let ((dasum 0.0) (maxlen (length dx)))
   (declare (type (double-float) dasum) (type fixnum maxlen))
   (when (> incx 0)
@@ -1544,7 +1544,7 @@ RETURN VALUES
 
 <<BLAS 1 daxpy>>=
 (defun daxpy (n da dx incx dy incy)
- (declare (type (simple-vector double-float) dx dy)
+ (declare (type (simple-array double-float) dx dy)
           (type double-float da) (type fixnum incy incx n))
   (let ((maxx (length dx)) (maxy (length dy)))
    (declare (type fixnum maxx maxy))
@@ -1876,7 +1876,7 @@ ARGUMENTS
 
 <<BLAS 1 dcopy>>=
 (defun dcopy (n dx incx dy incy)
- (declare (type (simple-vector double-float) dy dx)
+ (declare (type (simple-array double-float) dy dx)
           (type fixnum incy incx n))
   (let ((maxx (length dx)) (maxy (length dy)))
    (declare (type fixnum maxx maxy))
@@ -1985,7 +1985,7 @@ NOTES
 
 <<BLAS 1 ddot>>=
 (defun ddot (n dx incx dy incy)
-  (declare (type (simple-vector double-float (*)) dy dx)
+  (declare (type (simple-array double-float (*)) dy dx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((dx double-float dx-%data% dx-%offset%)
@@ -2156,7 +2156,7 @@ NOTES
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dnrm2 (n x incx)
-    (declare (type (simple-vector double-float (*)) x)
+    (declare (type (simple-array double-float (*)) x)
              (type fixnum incx n))
     (f2cl-lib:with-multi-array-data
         ((x double-float x-%data% x-%offset%))
@@ -2455,7 +2455,7 @@ NOTES
 <<BLAS 1 drot>>=
 (defun drot (n dx incx dy incy c s)
   (declare (type (double-float) s c)
-           (type (simple-vector double-float (*)) dy dx)
+           (type (simple-array double-float (*)) dy dx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((dx double-float dx-%data% dx-%offset%)
@@ -2576,7 +2576,7 @@ NOTES
 
 <<BLAS 1 dscal>>=
 (defun dscal (n da dx incx)
-  (declare (type (simple-vector double-float (*)) dx)
+  (declare (type (simple-array double-float (*)) dx)
            (type (double-float) da)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
@@ -2727,7 +2727,7 @@ NOTES
 
 <<BLAS 1 dswap>>=
 (defun dswap (n dx incx dy incy)
-  (declare (type (simple-vector double-float (*)) dy dx)
+  (declare (type (simple-array double-float (*)) dy dx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((dx double-float dx-%data% dx-%offset%)
@@ -2907,7 +2907,7 @@ Return values are:
 
 <<BLAS 1 dzasum>>=
 (defun dzasum (n zx incx)
-  (declare (type (simple-vector (complex double-float) (*)) zx)
+  (declare (type (simple-array (complex double-float) (*)) zx)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%))
@@ -3017,7 +3017,7 @@ NOTES
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dznrm2 (n x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x)
+    (declare (type (simple-array (complex double-float) (*)) x)
              (type fixnum incx n))
     (f2cl-lib:with-multi-array-data
         ((x (complex double-float) x-%data% x-%offset%))
@@ -3152,7 +3152,7 @@ NOTES
 
 <<BLAS 1 icamax>>=
 (defun icamax (n cx incx)
-  (declare (type (simple-vector (complex single-float) (*)) cx)
+  (declare (type (simple-array (complex single-float) (*)) cx)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
       ((cx (complex single-float) cx-%data% cx-%offset%))
@@ -3278,7 +3278,7 @@ NOTES
 
 <<BLAS 1 idamax>>=
 (defun idamax (n dx incx)
-  (declare (type (simple-vector double-float (*)) dx)
+  (declare (type (simple-array double-float (*)) dx)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
       ((dx double-float dx-%data% dx-%offset%))
@@ -3418,7 +3418,7 @@ NOTES
 
 <<BLAS 1 isamax>>=
 (defun isamax (n sx incx)
-  (declare (type (simple-vector single-float (*)) sx)
+  (declare (type (simple-array single-float (*)) sx)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
       ((sx single-float sx-%data% sx-%offset%))
@@ -3538,7 +3538,7 @@ NOTES
 
 <<BLAS 1 izamax>>=
 (defun izamax (n zx incx)
-  (declare (type (simple-vector (complex double-float) (*)) zx)
+  (declare (type (simple-array (complex double-float) (*)) zx)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%))
@@ -3698,7 +3698,7 @@ Return values are:
 
 <<BLAS 1 zaxpy>>=
 (defun zaxpy (n za zx incx zy incy)
-  (declare (type (simple-vector (complex double-float) (*)) zy zx)
+  (declare (type (simple-array (complex double-float) (*)) zy zx)
            (type (complex double-float) za)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
@@ -3822,7 +3822,7 @@ NOTES
 
 <<BLAS 1 zcopy>>=
 (defun zcopy (n zx incx zy incy)
-  (declare (type (simple-vector (complex double-float) (*)) zy zx)
+  (declare (type (simple-array (complex double-float) (*)) zy zx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%)
@@ -3954,7 +3954,7 @@ NOTES
 
 <<BLAS 1 zdotc>>=
 (defun zdotc (n zx incx zy incy)
-  (declare (type (simple-vector (complex double-float) (*)) zy zx)
+  (declare (type (simple-array (complex double-float) (*)) zy zx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%)
@@ -4092,7 +4092,7 @@ NOTES
 
 <<BLAS 1 zdotu>>=
 (defun zdotu (n zx incx zy incy)
-  (declare (type (simple-vector (complex double-float) (*)) zy zx)
+  (declare (type (simple-array (complex double-float) (*)) zy zx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%)
@@ -4215,7 +4215,7 @@ NOTES
 
 <<BLAS 1 zdscal>>=
 (defun zdscal (n da zx incx)
-  (declare (type (simple-vector (complex double-float) (*)) zx)
+  (declare (type (simple-array (complex double-float) (*)) zx)
            (type (double-float) da)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
@@ -4464,7 +4464,7 @@ NOTES
 
 <<BLAS 1 zscal>>=
 (defun zscal (n za zx incx)
-  (declare (type (simple-vector (complex double-float) (*)) zx)
+  (declare (type (simple-array (complex double-float) (*)) zx)
            (type (complex double-float) za)
            (type fixnum incx n))
   (f2cl-lib:with-multi-array-data
@@ -4570,7 +4570,7 @@ NOTES
 
 <<BLAS 1 zswap>>=
 (defun zswap (n zx incx zy incy)
-  (declare (type (simple-vector (complex double-float) (*)) zy zx)
+  (declare (type (simple-array (complex double-float) (*)) zy zx)
            (type fixnum incy incx n))
   (f2cl-lib:with-multi-array-data
       ((zx (complex double-float) zx-%data% zx-%offset%)
@@ -4762,7 +4762,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dgbmv (trans m n kl ku alpha a lda x incx beta y incy)
-    (declare (type (simple-vector double-float (*)) y x a)
+    (declare (type (simple-array double-float (*)) y x a)
              (type (double-float) beta alpha)
              (type fixnum incy incx lda ku kl n m)
              (type character trans))
@@ -5155,7 +5155,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dgemv (trans m n alpha a lda x incx beta y incy)
-    (declare (type (simple-vector double-float (*)) y x a)
+    (declare (type (simple-array double-float (*)) y x a)
              (type (double-float) beta alpha)
              (type fixnum incy incx lda n m)
              (type character trans))
@@ -5471,7 +5471,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dger (m n alpha x incx y incy a lda)
-    (declare (type (simple-vector double-float (*)) a y x)
+    (declare (type (simple-array double-float (*)) a y x)
              (type (double-float) alpha)
              (type fixnum lda incy incx n m))
     (f2cl-lib:with-multi-array-data
@@ -5724,7 +5724,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dsbmv (uplo n k alpha a lda x incx beta y incy)
-    (declare (type (simple-vector double-float (*)) y x a)
+    (declare (type (simple-array double-float (*)) y x a)
              (type (double-float) beta alpha)
              (type fixnum incy incx lda k n)
              (type character uplo))
@@ -6149,7 +6149,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dspmv (uplo n alpha ap x incx beta y incy)
-    (declare (type (simple-vector double-float (*)) y x ap)
+    (declare (type (simple-array double-float (*)) y x ap)
              (type (double-float) beta alpha)
              (type fixnum incy incx n)
              (type character uplo))
@@ -6564,7 +6564,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dspr2 (uplo n alpha x incx y incy ap)
-    (declare (type (simple-vector double-float (*)) ap y x)
+    (declare (type (simple-array double-float (*)) ap y x)
              (type (double-float) alpha)
              (type fixnum incy incx n)
              (type character uplo))
@@ -6934,7 +6934,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dspr (uplo n alpha x incx ap)
-    (declare (type (simple-vector double-float (*)) ap x)
+    (declare (type (simple-array double-float (*)) ap x)
              (type (double-float) alpha)
              (type fixnum incx n)
              (type character uplo))
@@ -7246,7 +7246,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dsymv (uplo n alpha a lda x incx beta y incy)
-    (declare (type (simple-vector double-float (*)) y x a)
+    (declare (type (simple-array double-float (*)) y x a)
              (type (double-float) beta alpha)
              (type fixnum incy incx lda n)
              (type character uplo))
@@ -7640,7 +7640,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dsyr2 (uplo n alpha x incx y incy a lda)
-    (declare (type (simple-vector double-float (*)) a y x)
+    (declare (type (simple-array double-float (*)) a y x)
              (type (double-float) alpha)
              (type fixnum lda incy incx n)
              (type character uplo))
@@ -7992,7 +7992,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dsyr (uplo n alpha x incx a lda)
-    (declare (type (simple-vector double-float (*)) a x)
+    (declare (type (simple-array double-float (*)) a x)
              (type (double-float) alpha)
              (type fixnum lda incx n)
              (type character uplo))
@@ -8315,7 +8315,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtbmv (uplo trans diag n k a lda x incx)
-    (declare (type (simple-vector double-float (*)) x a)
+    (declare (type (simple-array double-float (*)) x a)
              (type fixnum incx lda k n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -8912,7 +8912,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtbsv (uplo trans diag n k a lda x incx)
-    (declare (type (simple-vector double-float (*)) x a)
+    (declare (type (simple-array double-float (*)) x a)
              (type fixnum incx lda k n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -9473,7 +9473,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtpmv (uplo trans diag n ap x incx)
-    (declare (type (simple-vector double-float (*)) x ap)
+    (declare (type (simple-array double-float (*)) x ap)
              (type fixnum incx n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -10036,7 +10036,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtpsv (uplo trans diag n ap x incx)
-    (declare (type (simple-vector double-float (*)) x ap)
+    (declare (type (simple-array double-float (*)) x ap)
              (type fixnum incx n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -10599,7 +10599,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtrmv (uplo trans diag n a lda x incx)
-    (declare (type (simple-vector double-float (*)) x a)
+    (declare (type (simple-array double-float (*)) x a)
              (type fixnum incx lda n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -11103,7 +11103,7 @@ Man Page Details
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtrsv (uplo trans diag n a lda x incx)
-    (declare (type (simple-vector double-float (*)) x a)
+    (declare (type (simple-array double-float (*)) x a)
              (type fixnum incx lda n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -11633,7 +11633,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zgbmv (trans m n kl ku alpha a lda x incx beta y incy)
-    (declare (type (simple-vector (complex double-float) (*)) y x a)
+    (declare (type (simple-array (complex double-float) (*)) y x a)
              (type (complex double-float) beta alpha)
              (type fixnum incy incx lda ku kl n m)
              (type character trans))
@@ -12085,7 +12085,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zgemv (trans m n alpha a lda x incx beta y incy)
-    (declare (type (simple-vector (complex double-float) (*)) y x a)
+    (declare (type (simple-array (complex double-float) (*)) y x a)
              (type (complex double-float) beta alpha)
              (type fixnum incy incx lda n m)
              (type character trans))
@@ -12441,7 +12441,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zgerc (m n alpha x incx y incy a lda)
-    (declare (type (simple-vector (complex double-float) (*)) a y x)
+    (declare (type (simple-array (complex double-float) (*)) a y x)
              (type (complex double-float) alpha)
              (type fixnum lda incy incx n m))
     (f2cl-lib:with-multi-array-data
@@ -12650,7 +12650,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zgeru (m n alpha x incx y incy a lda)
-    (declare (type (simple-vector (complex double-float) (*)) a y x)
+    (declare (type (simple-array (complex double-float) (*)) a y x)
              (type (complex double-float) alpha)
              (type fixnum lda incy incx n m))
     (f2cl-lib:with-multi-array-data
@@ -12905,7 +12905,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zhbmv (uplo n k alpha a lda x incx beta y incy)
-    (declare (type (simple-vector (complex double-float) (*)) y x a)
+    (declare (type (simple-array (complex double-float) (*)) y x a)
              (type (complex double-float) beta alpha)
              (type fixnum incy incx lda k n)
              (type character uplo))
@@ -13341,7 +13341,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zhemv (uplo n alpha a lda x incx beta y incy)
-    (declare (type (simple-vector (complex double-float) (*)) y x a)
+    (declare (type (simple-array (complex double-float) (*)) y x a)
              (type (complex double-float) beta alpha)
              (type fixnum incy incx lda n)
              (type character uplo))
@@ -13746,7 +13746,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zher2 (uplo n alpha x incx y incy a lda)
-    (declare (type (simple-vector (complex double-float) (*)) a y x)
+    (declare (type (simple-array (complex double-float) (*)) a y x)
              (type (complex double-float) alpha)
              (type fixnum lda incy incx n)
              (type character uplo))
@@ -14277,7 +14277,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zher (uplo n alpha x incx a lda)
-    (declare (type (simple-vector (complex double-float) (*)) a x)
+    (declare (type (simple-array (complex double-float) (*)) a x)
              (type (double-float) alpha)
              (type fixnum lda incx n)
              (type character uplo))
@@ -14710,7 +14710,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zhpmv (uplo n alpha ap x incx beta y incy)
-    (declare (type (simple-vector (complex double-float) (*)) y x ap)
+    (declare (type (simple-array (complex double-float) (*)) y x ap)
              (type (complex double-float) beta alpha)
              (type fixnum incy incx n)
              (type character uplo))
@@ -15293,7 +15293,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zhpr2 (uplo n alpha x incx y incy ap)
-    (declare (type (simple-vector (complex double-float) (*)) ap y x)
+    (declare (type (simple-array (complex double-float) (*)) ap y x)
              (type (complex double-float) alpha)
              (type fixnum incy incx n)
              (type character uplo))
@@ -15842,7 +15842,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun zhpr (uplo n alpha x incx ap)
-    (declare (type (simple-vector (complex double-float) (*)) ap x)
+    (declare (type (simple-array (complex double-float) (*)) ap x)
              (type (double-float) alpha)
              (type fixnum incx n)
              (type character uplo))
@@ -16331,7 +16331,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztbmv (uplo trans diag n k a lda x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x a)
+    (declare (type (simple-array (complex double-float) (*)) x a)
              (type fixnum incx lda k n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -17079,7 +17079,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztbsv (uplo trans diag n k a lda x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x a)
+    (declare (type (simple-array (complex double-float) (*)) x a)
              (type fixnum incx lda k n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -17789,7 +17789,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztpmv (uplo trans diag n ap x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x ap)
+    (declare (type (simple-array (complex double-float) (*)) x ap)
              (type fixnum incx n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -18488,7 +18488,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztpsv (uplo trans diag n ap x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x ap)
+    (declare (type (simple-array (complex double-float) (*)) x ap)
              (type fixnum incx n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -19199,7 +19199,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztrmv (uplo trans diag n a lda x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x a)
+    (declare (type (simple-array (complex double-float) (*)) x a)
              (type fixnum incx lda n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -19827,7 +19827,7 @@ Man Page Details
 (let* ((zero (complex 0.0 0.0)))
   (declare (type (complex double-float) zero))
   (defun ztrsv (uplo trans diag n a lda x incx)
-    (declare (type (simple-vector (complex double-float) (*)) x a)
+    (declare (type (simple-array (complex double-float) (*)) x a)
              (type fixnum incx lda n)
              (type character diag trans uplo))
     (f2cl-lib:with-multi-array-data
@@ -20492,7 +20492,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dgemm (transa transb m n k alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector double-float (*)) c b a)
+    (declare (type (simple-array double-float (*)) c b a)
              (type (double-float) beta alpha)
              (type fixnum ldc ldb$ lda k n m)
              (type character transb transa))
@@ -20941,7 +20941,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dsymm (side uplo m n alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector double-float (*)) c b a)
+    (declare (type (simple-array double-float (*)) c b a)
              (type (double-float) beta alpha)
              (type fixnum ldc ldb$ lda n m)
              (type character uplo side))
@@ -21449,7 +21449,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dsyr2k (uplo trans n k alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector double-float (*)) c b a)
+    (declare (type (simple-array double-float (*)) c b a)
              (type (double-float) beta alpha)
              (type fixnum ldc ldb$ lda k n)
              (type character trans uplo))
@@ -21957,7 +21957,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dsyrk (uplo trans n k alpha a lda beta c ldc)
-    (declare (type (simple-vector double-float (*)) c a)
+    (declare (type (simple-array double-float (*)) c a)
              (type (double-float) beta alpha)
              (type fixnum ldc lda k n)
              (type character trans uplo))
@@ -22412,7 +22412,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dtrmm (side uplo transa diag m n alpha a lda b ldb$)
-    (declare (type (simple-vector double-float (*)) b a)
+    (declare (type (simple-array double-float (*)) b a)
              (type (double-float) alpha)
              (type fixnum ldb$ lda n m)
              (type character diag transa uplo side))
@@ -23049,7 +23049,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dtrsm (side uplo transa diag m n alpha a lda b ldb$)
-    (declare (type (simple-vector double-float (*)) b a)
+    (declare (type (simple-array double-float (*)) b a)
              (type (double-float) alpha)
              (type fixnum ldb$ lda n m)
              (type character diag transa uplo side))
@@ -23758,7 +23758,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zgemm (transa transb m n k alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c b a)
+    (declare (type (simple-array (complex double-float) (*)) c b a)
              (type (complex double-float) beta alpha)
              (type fixnum ldc ldb$ lda k n m)
              (type character transb transa))
@@ -24433,7 +24433,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zhemm (side uplo m n alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c b a)
+    (declare (type (simple-array (complex double-float) (*)) c b a)
              (type (complex double-float) beta alpha)
              (type fixnum ldc ldb$ lda n m)
              (type character uplo side))
@@ -24955,7 +24955,7 @@ Man Page Details
  (declare (type (double-float 1.0 1.0) one) (type (complex double-float) zero))
   (defun zher2k (uplo trans n k alpha a lda b ldb$ beta c ldc)
     (declare (type (double-float) beta)
-             (type (simple-vector (complex double-float) (*)) c b a)
+             (type (simple-array (complex double-float) (*)) c b a)
              (type (complex double-float) alpha)
              (type fixnum ldc ldb$ lda k n)
              (type character trans uplo))
@@ -25684,7 +25684,7 @@ Man Page Details
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun zherk (uplo trans n k alpha a lda beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c a)
+    (declare (type (simple-array (complex double-float) (*)) c a)
              (type (double-float) beta alpha)
              (type fixnum ldc lda k n)
              (type character trans uplo))
@@ -26365,7 +26365,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zsymm (side uplo m n alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c b a)
+    (declare (type (simple-array (complex double-float) (*)) c b a)
              (type (complex double-float) beta alpha)
              (type fixnum ldc ldb$ lda n m)
              (type character uplo side))
@@ -26868,7 +26868,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zsyr2k (uplo trans n k alpha a lda b ldb$ beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c b a)
+    (declare (type (simple-array (complex double-float) (*)) c b a)
              (type (complex double-float) beta alpha)
              (type fixnum ldc ldb$ lda k n)
              (type character trans uplo))
@@ -27372,7 +27372,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun zsyrk (uplo trans n k alpha a lda beta c ldc)
-    (declare (type (simple-vector (complex double-float) (*)) c a)
+    (declare (type (simple-array (complex double-float) (*)) c a)
              (type (complex double-float) beta alpha)
              (type fixnum ldc lda k n)
              (type character trans uplo))
@@ -27821,7 +27821,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun ztrmm (side uplo transa diag m n alpha a lda b ldb$)
-    (declare (type (simple-vector (complex double-float) (*)) b a)
+    (declare (type (simple-array (complex double-float) (*)) b a)
              (type (complex double-float) alpha)
              (type fixnum ldb$ lda n m)
              (type character diag transa uplo side))
@@ -28559,7 +28559,7 @@ Man Page Details
 (let* ((one (complex 1.0 0.0)) (zero (complex 0.0 0.0)))
  (declare (type (complex double-float) one) (type (complex double-float) zero))
   (defun ztrsm (side uplo transa diag m n alpha a lda b ldb$)
-    (declare (type (simple-vector (complex double-float) (*)) b a)
+    (declare (type (simple-array (complex double-float) (*)) b a)
              (type (complex double-float) alpha)
              (type fixnum ldb$ lda n m)
              (type character diag transa uplo side))
@@ -29413,8 +29413,8 @@ The return values are:
           (type (double-float 1.0 1.0) one)
           (type (double-float 2.0 2.0) two))
  (defun dbdsdc (uplo compq n d e u ldu vt ldvt q iq work iwork info)
-  (declare (type (simple-vector fixnum (*)) iwork iq)
-           (type (simple-vector double-float (*)) work q vt u e d)
+  (declare (type (simple-array fixnum (*)) iwork iq)
+           (type (simple-array double-float (*)) work q vt u e d)
            (type fixnum info ldvt ldu n)
            (type character compq uplo))
    (f2cl-lib:with-multi-array-data
@@ -30012,7 +30012,7 @@ PARAMETERS
            (type (double-float) meigth)
            (type (fixnum 6 6) maxitr))
   (defun dbdsqr (uplo n ncvt nru ncc d e vt ldvt u ldu c ldc work info)
-    (declare (type (simple-vector double-float (*)) work c u vt e d)
+    (declare (type (simple-array double-float (*)) work c u vt e d)
              (type fixnum info ldc ldu ldvt ncc nru ncvt n)
              (type character uplo))
     (f2cl-lib:with-multi-array-data
@@ -31219,7 +31219,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun ddisna (job m n d sep info)
-    (declare (type (simple-vector double-float (*)) sep d)
+    (declare (type (simple-array double-float (*)) sep d)
              (type fixnum info n m)
              (type character job))
     (f2cl-lib:with-multi-array-data
@@ -31456,7 +31456,7 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgebak (job side n ilo ihi scale m v ldv info)
-    (declare (type (simple-vector double-float (*)) v scale)
+    (declare (type (simple-array double-float (*)) v scale)
              (type fixnum info ldv m ihi ilo n)
              (type character side job))
     (f2cl-lib:with-multi-array-data
@@ -31698,7 +31698,7 @@ FURTHER DETAILS
            (type (double-float 8.0 8.0) sclfac)
            (type (double-float 0.95 0.95) factor))
   (defun dgebal (job n a lda ilo ihi scale info)
-    (declare (type (simple-vector double-float (*)) scale a)
+    (declare (type (simple-array double-float (*)) scale a)
              (type fixnum info ihi ilo lda n)
              (type character job))
     (f2cl-lib:with-multi-array-data
@@ -32057,7 +32057,7 @@ FURTHER DETAILS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dgebd2 (m n a lda d e tauq taup work info)
-    (declare (type (simple-vector double-float (*)) work taup tauq e d a)
+    (declare (type (simple-array double-float (*)) work taup tauq e d a)
              (type fixnum info lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -32423,7 +32423,7 @@ FURTHER DETAILS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgebrd (m n a lda d e tauq taup work lwork info)
-    (declare (type (simple-vector double-float (*)) work taup tauq e d a)
+    (declare (type (simple-array double-float (*)) work taup tauq e d a)
              (type fixnum info lwork lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -32736,7 +32736,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dgeev (jobvl jobvr n a lda wr wi vl ldvl vr ldvr work lwork info)
-    (declare (type (simple-vector double-float (*)) work vr vl wi wr a)
+    (declare (type (simple-array double-float (*)) work vr vl wi wr a)
              (type fixnum info lwork ldvr ldvl lda n)
              (type character jobvr jobvl))
     (f2cl-lib:with-multi-array-data
@@ -32756,8 +32756,8 @@ ARGUMENTS
              (side
               (make-array '(1) :element-type 'character :initial-element #\ ))
              (lquery nil) (scalea nil) (wantvl nil) (wantvr nil))
-        (declare (type (simple-vector double-float (1)) dum)
-                 (type (simple-vector (member t nil) (1)) select)
+        (declare (type (simple-array double-float (1)) dum)
+                 (type (simple-array (member t nil) (1)) select)
                  (type (double-float) anrm bignum cs cscale eps r scl smlnum
                                       sn)
                  (type fixnum hswork i ibal ierr ihi ilo itau iwrk
@@ -33480,9 +33480,9 @@ ARGUMENTS
   (defun dgeevx
          (balanc jobvl jobvr sense n a lda wr wi vl ldvl vr ldvr ilo ihi scale
           abnrm rconde rcondv work lwork iwork info)
-    (declare (type (simple-vector fixnum (*)) iwork)
+    (declare (type (simple-array fixnum (*)) iwork)
              (type (double-float) abnrm)
-             (type (simple-vector double-float (*)) work rcondv rconde scale vr vl wi
+             (type (simple-array double-float (*)) work rcondv rconde scale vr vl wi
                                             wr a)
              (type fixnum info lwork ihi ilo ldvr ldvl lda n)
              (type character sense jobvr jobvl balanc))
@@ -33512,8 +33512,8 @@ ARGUMENTS
               (make-array '(1) :element-type 'character :initial-element #\ ))
              (lquery nil) (scalea nil) (wantvl nil) (wantvr nil) (wntsnb nil)
              (wntsne nil) (wntsnn nil) (wntsnv nil))
-        (declare (type (simple-vector double-float (1)) dum)
-                 (type (simple-vector (member t nil) (1)) select)
+        (declare (type (simple-array double-float (1)) dum)
+                 (type (simple-array (member t nil) (1)) select)
                  (type (double-float) anrm bignum cs cscale eps r scl smlnum
                                       sn)
                  (type fixnum hswork i icond ierr itau iwrk k maxb
@@ -34218,7 +34218,7 @@ FURTHER DETAILS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgehd2 (n ilo ihi a lda tau work info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lda ihi ilo n))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -34424,7 +34424,7 @@ FURTHER DETAILS
            (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dgehrd (n ilo ihi a lda tau work lwork info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lwork lda ihi ilo n))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -34435,7 +34435,7 @@ FURTHER DETAILS
              (t$
               (make-array (the fixnum (reduce #'* (list ldt nbmax)))
                           :element-type 'double-float)))
-        (declare (type (simple-vector double-float (*)) t$)
+        (declare (type (simple-array double-float (*)) t$)
                  (type (double-float) ei)
                  (type fixnum i ib iinfo iws ldwork lwkopt nb
                                            nbmin nh nx)
@@ -34679,7 +34679,7 @@ FURTHER DETAILS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgelq2 (m n a lda tau work info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -34840,7 +34840,7 @@ FURTHER DETAILS
 
 <<LAPACK dgelqf>>=
 (defun dgelqf (m n a lda tau work lwork info)
-  (declare (type (simple-vector double-float (*)) work tau a)
+  (declare (type (simple-array double-float (*)) work tau a)
            (type fixnum info lwork lda n m))
   (f2cl-lib:with-multi-array-data
       ((a double-float a-%data% a-%offset%)
@@ -35039,7 +35039,7 @@ FURTHER DETAILS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgeqr2 (m n a lda tau work info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -35198,7 +35198,7 @@ FURTHER DETAILS
 
 <<LAPACK dgeqrf>>=
 (defun dgeqrf (m n a lda tau work lwork info)
-  (declare (type (simple-vector double-float (*)) work tau a)
+  (declare (type (simple-array double-float (*)) work tau a)
            (type fixnum info lwork lda n m))
   (f2cl-lib:with-multi-array-data
       ((a double-float a-%data% a-%offset%)
@@ -35465,8 +35465,8 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dgesdd (jobz m n a lda s u ldu vt ldvt work lwork iwork info)
-    (declare (type (simple-vector fixnum (*)) iwork)
-             (type (simple-vector double-float (*)) work vt u s a)
+    (declare (type (simple-array fixnum (*)) iwork)
+             (type (simple-array double-float (*)) work vt u s a)
              (type fixnum info lwork ldvt ldu lda n m)
              (type character jobz))
     (f2cl-lib:with-multi-array-data
@@ -35485,8 +35485,8 @@ ARGUMENTS
              (ldwrku 0) (maxwrk 0) (minmn 0) (minwrk 0) (mnthr 0) (nwork 0)
              (wrkbl 0) (lquery nil) (wntqa nil) (wntqas nil) (wntqn nil)
              (wntqo nil) (wntqs nil))
-        (declare (type (simple-vector double-float (1)) dum)
-                 (type (simple-vector fixnum (1)) idum)
+        (declare (type (simple-array double-float (1)) dum)
+                 (type (simple-array fixnum (1)) idum)
                  (type (double-float) anrm bignum eps smlnum)
                  (type fixnum bdspac blk chunk i ie ierr il ir
                                            iscl itau itaup itauq iu ivt ldwkvt
@@ -37619,7 +37619,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dgesvd (jobu jobvt m n a lda s u ldu vt ldvt work lwork info)
-    (declare (type (simple-vector double-float (*)) work vt u s a)
+    (declare (type (simple-array double-float (*)) work vt u s a)
              (type fixnum info lwork ldvt ldu lda n m)
              (type character jobvt jobu))
     (f2cl-lib:with-multi-array-data
@@ -37638,7 +37638,7 @@ ARGUMENTS
              (lquery nil) (wntua nil) (wntuas nil) (wntun nil) (wntuo nil)
              (wntus nil) (wntva nil) (wntvas nil) (wntvn nil) (wntvo nil)
              (wntvs nil))
-        (declare (type (simple-vector double-float (1)) dum)
+        (declare (type (simple-array double-float (1)) dum)
                  (type (double-float) anrm bignum eps smlnum)
                  (type fixnum bdspac blk chunk i ie ierr ir iscl
                                            itau itaup itauq iu iwork ldwrkr
@@ -44099,8 +44099,8 @@ ARGUMENTS
 
 <<LAPACK dgesv>>=
 (defun dgesv (n nrhs a lda ipiv b ldb$ info)
-  (declare (type (simple-vector fixnum (*)) ipiv)
-           (type (simple-vector double-float (*)) b a)
+  (declare (type (simple-array fixnum (*)) ipiv)
+           (type (simple-array double-float (*)) b a)
            (type fixnum info ldb$ lda nrhs n))
   (f2cl-lib:with-multi-array-data
       ((a double-float a-%data% a-%offset%)
@@ -44225,8 +44225,8 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dgetf2 (m n a lda ipiv info)
-    (declare (type (simple-vector fixnum (*)) ipiv)
-             (type (simple-vector double-float (*)) a)
+    (declare (type (simple-array fixnum (*)) ipiv)
+             (type (simple-array double-float (*)) a)
              (type fixnum info lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -44397,8 +44397,8 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgetrf (m n a lda ipiv info)
-    (declare (type (simple-vector fixnum (*)) ipiv)
-             (type (simple-vector double-float (*)) a)
+    (declare (type (simple-array fixnum (*)) ipiv)
+             (type (simple-array double-float (*)) a)
              (type fixnum info lda n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -44603,8 +44603,8 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dgetrs (trans n nrhs a lda ipiv b ldb$ info)
-    (declare (type (simple-vector fixnum (*)) ipiv)
-             (type (simple-vector double-float (*)) b a)
+    (declare (type (simple-array fixnum (*)) ipiv)
+             (type (simple-array double-float (*)) b a)
              (type fixnum info ldb$ lda nrhs n)
              (type character trans))
     (f2cl-lib:with-multi-array-data
@@ -44828,7 +44828,7 @@ ARGUMENTS
            (type (fixnum 15 15) nsmax)
            (type fixnum lds))
   (defun dhseqr (job compz n ilo ihi h ldh wr wi z ldz work lwork info)
-    (declare (type (simple-vector double-float (*)) work z wi wr h)
+    (declare (type (simple-array double-float (*)) work z wi wr h)
              (type fixnum info lwork ldz ldh ihi ilo n)
              (type character compz job))
     (f2cl-lib:with-multi-array-data
@@ -44852,7 +44852,7 @@ ARGUMENTS
              (ulp 0.0) (unfl 0.0) (i 0) (i1 0) (i2 0) (ierr 0) (ii 0) (itemp 0)
              (itn 0) (its 0) (j 0) (k 0) (l 0) (maxb 0) (nh 0) (nr 0) (ns 0)
              (nv 0) (initz nil) (lquery nil) (wantt nil) (wantz nil))
-        (declare (type (simple-vector double-float (*)) s v vv)
+        (declare (type (simple-array double-float (*)) s v vv)
                  (type (double-float) absw ovfl smlnum tau temp tst1 ulp unfl)
                  (type fixnum i i1 i2 ierr ii itemp itn its j k l
                                            maxb nh nr ns nv)
@@ -45499,7 +45499,7 @@ FURTHER DETAILS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dlabrd (m n nb a lda d e tauq taup x ldx y ldy)
-    (declare (type (simple-vector double-float (*)) y x taup tauq e d a)
+    (declare (type (simple-array double-float (*)) y x taup tauq e d a)
              (type fixnum ldy ldx lda nb n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -46115,8 +46115,8 @@ FURTHER DETAILS
              (type (double-float) two one zero temp estold altsgn))
     (defun dlacon (n v x isgn est kase)
       (declare (type (double-float) est)
-               (type (simple-vector fixnum (*)) isgn)
-               (type (simple-vector double-float (*)) x v)
+               (type (simple-array fixnum (*)) isgn)
+               (type (simple-array double-float (*)) x v)
                (type fixnum kase n))
       (f2cl-lib:with-multi-array-data
           ((v double-float v-%data% v-%offset%)
@@ -46319,7 +46319,7 @@ ARGUMENTS
 
 <<LAPACK dlacpy>>=
 (defun dlacpy (uplo m n a lda b ldb$)
-  (declare (type (simple-vector double-float (*)) b a)
+  (declare (type (simple-array double-float (*)) b a)
            (type fixnum ldb$ lda n m)
            (type character uplo))
   (f2cl-lib:with-multi-array-data
@@ -46561,7 +46561,7 @@ ARGUMENTS
              (type (double-float) eps sminv2 small2 sminv1 small1))
     (setq first$ t)
     (defun dlaed6 (kniter orgati rho d z finit tau info)
-      (declare (type (simple-vector double-float (*)) z d)
+      (declare (type (simple-array double-float (*)) z d)
                (type (double-float) tau finit rho)
                (type (member t nil) orgati)
                (type fixnum info kniter))
@@ -46579,7 +46579,7 @@ ARGUMENTS
                                         temp4)
                    (type fixnum i iter niter)
                    (type (member t nil) scale)
-                   (type (simple-vector double-float (3)) dscale zscale))
+                   (type (simple-array double-float (3)) dscale zscale))
           (setf info 0)
           (setf niter 1)
           (setf tau zero)
@@ -46948,7 +46948,7 @@ ARGUMENTS
            (type (fixnum 4 4) ldd)
            (type (fixnum 2 2) ldx))
   (defun dlaexc (wantq n t$ ldt q ldq j1 n1 n2 work info)
-    (declare (type (simple-vector double-float (*)) work q t$)
+    (declare (type (simple-array double-float (*)) work q t$)
              (type fixnum info n2 n1 j1 ldq ldt n)
              (type (member t nil) wantq))
     (f2cl-lib:with-multi-array-data
@@ -46968,8 +46968,8 @@ ARGUMENTS
              (t11 0.0) (t22 0.0) (t33 0.0) (tau 0.0) (tau1 0.0) (tau2 0.0)
              (temp 0.0) (thresh 0.0) (wi1 0.0) (wi2 0.0) (wr1 0.0) (wr2 0.0)
              (xnorm 0.0) (ierr 0) (j2 0) (j3 0) (j4 0) (k 0) (nd 0))
-        (declare (type (simple-vector double-float (3)) u u1 u2)
-                 (type (simple-vector double-float (*)) d x)
+        (declare (type (simple-array double-float (3)) u u1 u2)
+                 (type (simple-array double-float (*)) d x)
                  (type (double-float) cs dnorm eps scale smlnum sn t11 t22 t33
                                       tau tau1 tau2 temp thresh wi1 wi2 wr1 wr2
                                       xnorm)
@@ -47547,7 +47547,7 @@ ARGUMENTS
            (type (double-float 0.75 0.75) dat1)
            (type (double-float) dat2))
   (defun dlahqr (wantt wantz n ilo ihi h ldh wr wi iloz ihiz z ldz info)
-    (declare (type (simple-vector double-float (*)) z wi wr h)
+    (declare (type (simple-array double-float (*)) z wi wr h)
              (type fixnum info ldz ihiz iloz ldh ihi ilo n)
              (type (member t nil) wantz wantt))
     (f2cl-lib:with-multi-array-data
@@ -47563,8 +47563,8 @@ ARGUMENTS
              (t1 0.0) (t2 0.0) (t3 0.0) (tst1 0.0) (ulp 0.0) (unfl 0.0)
              (v1 0.0) (v2 0.0) (v3 0.0) (i 0) (i1 0) (i2 0) (itn 0) (its 0)
              (j 0) (k 0) (l 0) (m 0) (nh 0) (nr 0) (nz 0))
-        (declare (type (simple-vector double-float (3)) v)
-                 (type (simple-vector double-float (1)) work)
+        (declare (type (simple-array double-float (3)) v)
+                 (type (simple-array double-float (1)) work)
                  (type (double-float) ave cs disc h00 h10 h11 h12 h21 h22 h33
                                       h33s h43h34 h44 h44s ovfl s smlnum sn sum
                                       t1 t2 t3 tst1 ulp unfl v1 v2 v3)
@@ -48329,7 +48329,7 @@ FURTHER DETAILS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dlahrd (n k nb a lda tau t$ ldt y ldy)
-    (declare (type (simple-vector double-float (*)) y t$ tau a)
+    (declare (type (simple-array double-float (*)) y t$ tau a)
              (type fixnum ldy ldt lda nb k n))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -48656,12 +48656,12 @@ ARGUMENTS
          (make-array 16
                      :element-type 'fixnum
                      :initial-contents '(1 2 3 4 2 1 4 3 3 4 1 2 4 3 2 1))))
-    (declare (type (simple-vector fixnum (16)) ipivot)
-             (type (simple-vector (member t nil) (4)) rswap zswap))
+    (declare (type (simple-array fixnum (16)) ipivot)
+             (type (simple-array (member t nil) (4)) rswap zswap))
     (defun dlaln2
            (ltrans na nw smin ca a lda d1 d2 b ldb$ wr wi x ldx scale xnorm
             info)
-      (declare (type (simple-vector double-float (*)) x b a)
+      (declare (type (simple-array double-float (*)) x b a)
                (type (double-float) xnorm scale wi wr d2 d1 ca smin)
                (type fixnum info ldx ldb$ lda nw na)
                (type (member t nil) ltrans))
@@ -48680,7 +48680,7 @@ ARGUMENTS
                (ui12 0.0) (ui12s 0.0) (ui22 0.0) (ur11 0.0) (ur11r 0.0)
                (ur12 0.0) (ur12s 0.0) (ur22 0.0) (xi1 0.0) (xi2 0.0) (xr1 0.0)
                (xr2 0.0) (icmax 0) (j 0))
-          (declare (type (simple-vector double-float (4)) ci civ cr crv)
+          (declare (type (simple-array double-float (4)) ci civ cr crv)
                    (type (double-float) bbnd bi1 bi2 bignum bnorm br1 br2 ci21
                                         ci22 cmax cnorm cr21 cr22 csi csr li21
                                         lr21 smini smlnum temp u22abs ui11
@@ -50415,8 +50415,8 @@ ARGUMENTS
 
 <<LAPACK dlamrg>>=
 (defun dlamrg (n1 n2 a dtrd1 dtrd2 indx)
-  (declare (type (simple-vector fixnum (*)) indx)
-           (type (simple-vector double-float (*)) a)
+  (declare (type (simple-array fixnum (*)) indx)
+           (type (simple-array double-float (*)) a)
            (type fixnum dtrd2 dtrd1 n2 n1))
   (f2cl-lib:with-multi-array-data
       ((a double-float a-%data% a-%offset%)
@@ -50564,7 +50564,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlange (norm m n a lda work)
-    (declare (type (simple-vector double-float (*)) work a)
+    (declare (type (simple-array double-float (*)) work a)
              (type fixnum lda n m)
              (type character norm))
     (f2cl-lib:with-multi-array-data
@@ -50751,7 +50751,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlanhs (norm n a lda work)
-    (declare (type (simple-vector double-float (*)) work a)
+    (declare (type (simple-array double-float (*)) work a)
              (type fixnum lda n)
              (type character norm))
     (f2cl-lib:with-multi-array-data
@@ -50947,7 +50947,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlanst (norm n d e)
-    (declare (type (simple-vector double-float (*)) e d)
+    (declare (type (simple-array double-float (*)) e d)
              (type fixnum n)
              (type character norm))
     (f2cl-lib:with-multi-array-data
@@ -51401,7 +51401,7 @@ ARGUMENTS
            (type (double-float 1.0 1.0) one))
   (defun dlaqtr (ltran lreal n t$ ldt b w scale x work info)
     (declare (type (double-float) scale w)
-             (type (simple-vector double-float (*)) work x b t$)
+             (type (simple-array double-float (*)) work x b t$)
              (type fixnum info ldt n)
              (type (member t nil) lreal ltran))
     (f2cl-lib:with-multi-array-data
@@ -51415,7 +51415,7 @@ ARGUMENTS
              (smlnum 0.0) (sr 0.0) (tjj 0.0) (tmp 0.0) (xj 0.0) (xmax 0.0)
              (xnorm 0.0) (z 0.0) (i 0) (ierr 0) (j 0) (j1 0) (j2 0) (jnext 0)
              (k 0) (n1 0) (n2 0) (notran nil))
-        (declare (type (simple-vector double-float (4)) d v)
+        (declare (type (simple-array double-float (4)) d v)
                  (type (double-float) bignum eps rec scaloc si smin sminw
                                       smlnum sr tjj tmp xj xmax xnorm z)
                  (type fixnum i ierr j j1 j2 jnext k n1 n2)
@@ -52643,7 +52643,7 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dlarfb (side trans direct storev m n k v ldv t$ ldt c ldc work ldwork)
-    (declare (type (simple-vector double-float (*)) work c t$ v)
+    (declare (type (simple-array double-float (*)) work c t$ v)
              (type fixnum ldwork ldc ldt ldv k n m)
              (type character storev direct trans side))
     (f2cl-lib:with-multi-array-data
@@ -53319,7 +53319,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlarfg (n alpha x incx tau)
-    (declare (type (simple-vector double-float (*)) x)
+    (declare (type (simple-array double-float (*)) x)
              (type (double-float) tau alpha)
              (type fixnum incx n))
     (f2cl-lib:with-multi-array-data
@@ -53456,7 +53456,7 @@ ARGUMENTS
            (type (double-float 0.0 0.0) zero))
   (defun dlarf (side m n v incv tau c ldc work)
     (declare (type (double-float) tau)
-             (type (simple-vector double-float (*)) work c v)
+             (type (simple-array double-float (*)) work c v)
              (type fixnum ldc incv n m)
              (type character side))
     (f2cl-lib:with-multi-array-data
@@ -53606,7 +53606,7 @@ FURTHER DETAILS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlarft (direct storev n k v ldv tau t$ ldt)
-    (declare (type (simple-vector double-float (*)) t$ tau v)
+    (declare (type (simple-array double-float (*)) t$ tau v)
              (type fixnum ldt ldv k n)
              (type character storev direct))
     (f2cl-lib:with-multi-array-data
@@ -53921,7 +53921,7 @@ ARGUMENTS
            (type (double-float 1.0 1.0) one))
   (defun dlarfx (side m n v tau c ldc work)
     (declare (type (double-float) tau)
-             (type (simple-vector double-float (*)) work c v)
+             (type (simple-array double-float (*)) work c v)
              (type fixnum ldc n m)
              (type character side))
     (f2cl-lib:with-multi-array-data
@@ -56341,7 +56341,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dlascl (type kl ku cfrom cto m n a lda info)
-    (declare (type (simple-vector double-float (*)) a)
+    (declare (type (simple-array double-float (*)) a)
              (type (double-float) cto cfrom)
              (type fixnum info lda n m ku kl)
              (type character type))
@@ -56697,8 +56697,8 @@ ARGUMENTS
 
 <<LAPACK dlasd0>>=
 (defun dlasd0 (n sqre d e u ldu vt ldvt smlsiz iwork work info)
-  (declare (type (simple-vector fixnum (*)) iwork)
-           (type (simple-vector double-float (*)) work vt u e d)
+  (declare (type (simple-array fixnum (*)) iwork)
+           (type (simple-array double-float (*)) work vt u e d)
            (type fixnum info smlsiz ldvt ldu sqre n))
   (f2cl-lib:with-multi-array-data
       ((d double-float d-%data% d-%offset%)
@@ -57075,9 +57075,9 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlasd1 (nl nr sqre d alpha beta u ldu vt ldvt idxq iwork work info)
-    (declare (type (simple-vector fixnum (*)) iwork idxq)
+    (declare (type (simple-array fixnum (*)) iwork idxq)
              (type (double-float) beta alpha)
-             (type (simple-vector double-float (*)) work vt u d)
+             (type (simple-array double-float (*)) work vt u d)
              (type fixnum info ldvt ldu sqre nr nl))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -57395,9 +57395,9 @@ ARGUMENTS
   (defun dlasd2
          (nl nr sqre k d z alpha beta u ldu vt ldvt dsigma u2 ldu2 vt2 ldvt2
           idxp idx idxc idxq coltyp info)
-    (declare (type (simple-vector fixnum (*)) coltyp idxq idxc idx idxp)
+    (declare (type (simple-array fixnum (*)) coltyp idxq idxc idx idxp)
              (type (double-float) beta alpha)
-             (type (simple-vector double-float (*)) vt2 u2 dsigma vt u z d)
+             (type (simple-array double-float (*)) vt2 u2 dsigma vt u z d)
              (type fixnum info ldvt2 ldu2 ldvt ldu k sqre nr nl))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -57420,7 +57420,7 @@ ARGUMENTS
         (declare (type (double-float) c eps hlftol s tau tol z1)
                  (type fixnum ct i idxi idxj idxjp j jp jprev k2 m
                                            n nlp1 nlp2)
-                 (type (simple-vector fixnum (4)) ctot psm))
+                 (type (simple-array fixnum (4)) ctot psm))
         (setf info 0)
         (cond
           ((< nl 1)
@@ -58015,8 +58015,8 @@ ARGUMENTS
   (defun dlasd3
          (nl nr sqre k d q ldq dsigma u ldu u2 ldu2 vt ldvt vt2 ldvt2 idxc ctot
           z info)
-    (declare (type (simple-vector fixnum (*)) ctot idxc)
-             (type (simple-vector double-float (*)) z vt2 vt u2 u dsigma q d)
+    (declare (type (simple-array fixnum (*)) ctot idxc)
+             (type (simple-array double-float (*)) z vt2 vt u2 u dsigma q d)
              (type fixnum info ldvt2 ldvt ldu2 ldu ldq k sqre nr
                                        nl))
     (f2cl-lib:with-multi-array-data
@@ -58628,7 +58628,7 @@ PARAMETERS
            (type (double-float 10.0 10.0) ten))
   (defun dlasd4 (n i d z delta rho sigma work info)
     (declare (type (double-float) sigma rho)
-             (type (simple-vector double-float (*)) work delta z d)
+             (type (simple-array double-float (*)) work delta z d)
              (type fixnum info i n))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -58644,7 +58644,7 @@ PARAMETERS
              (temp 0.0) (temp1 0.0) (temp2 0.0) (w 0.0) (ii 0) (iim1 0)
              (iip1 0) (ip1 0) (iter 0) (j 0) (niter 0) (orgati nil) (swtch nil)
              (swtch3 nil))
-        (declare (type (simple-vector double-float (3)) dd zz)
+        (declare (type (simple-array double-float (3)) dd zz)
                  (type (double-float) a b c delsq delsq2 dphi dpsi dtiim dtiip
                                       dtipsq dtisq dtnsq dtnsq1 dw eps erretm
                                       eta phi prew psi rhoinv sg2lb sg2ub tau
@@ -60217,7 +60217,7 @@ ARGUMENTS
            (type (double-float 4.0 4.0) four))
   (defun dlasd5 (i d z delta rho dsigma work)
     (declare (type (double-float) dsigma rho)
-             (type (simple-vector double-float (*)) work delta z d)
+             (type (simple-array double-float (*)) work delta z d)
              (type fixnum i))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -60631,9 +60631,9 @@ ARGUMENTS
   (defun dlasd6
          (icompq nl nr sqre d vf vl alpha beta idxq perm givptr givcol ldgcol
           givnum ldgnum poles difl difr z k c s work iwork info)
-    (declare (type (simple-vector fixnum (*)) iwork givcol perm idxq)
+    (declare (type (simple-array fixnum (*)) iwork givcol perm idxq)
              (type (double-float) s c beta alpha)
-             (type (simple-vector double-float (*)) work z difr difl poles givnum vl vf
+             (type (simple-array double-float (*)) work z difr difl poles givnum vl vf
                                             d)
              (type fixnum info k ldgnum ldgcol givptr sqre nr nl
                                        icompq))
@@ -60968,9 +60968,9 @@ ARGUMENTS
   (defun dlasd7
          (icompq nl nr sqre k d z zw vf vfw vl vlw alpha beta dsigma idx idxp
           idxq perm givptr givcol ldgcol givnum ldgnum c s info)
-    (declare (type (simple-vector fixnum (*)) givcol perm idxq idxp idx)
+    (declare (type (simple-array fixnum (*)) givcol perm idxq idxp idx)
              (type (double-float) s c beta alpha)
-             (type (simple-vector double-float (*)) givnum dsigma vlw vl vfw vf zw z d)
+             (type (simple-array double-float (*)) givnum dsigma vlw vl vfw vf zw z d)
              (type fixnum info ldgnum ldgcol givptr k sqre nr nl
                                        icompq))
     (f2cl-lib:with-multi-array-data
@@ -61437,7 +61437,7 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dlasd8 (icompq k d z vf vl difl difr lddifr dsigma work info)
-    (declare (type (simple-vector double-float (*)) work dsigma difr difl vl vf z d)
+    (declare (type (simple-array double-float (*)) work dsigma difr difl vl vf z d)
              (type fixnum info lddifr k icompq))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -61954,8 +61954,8 @@ ARGUMENTS
   (defun dlasda
          (icompq smlsiz n sqre d e u ldu vt k difl difr z poles givptr givcol
           ldgcol perm givnum c s work iwork info)
-    (declare (type (simple-vector fixnum (*)) iwork perm givcol givptr k)
-             (type (simple-vector double-float (*)) work s c givnum poles z difr difl
+    (declare (type (simple-array fixnum (*)) iwork perm givcol givptr k)
+             (type (simple-array double-float (*)) work s c givnum poles z difr difl
                                             vt u e d)
              (type fixnum info ldgcol ldu sqre n smlsiz icompq))
     (f2cl-lib:with-multi-array-data
@@ -62616,7 +62616,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dlasdq (uplo sqre n ncvt nru ncc d e vt ldvt u ldu c ldc work info)
-    (declare (type (simple-vector double-float (*)) work c u vt e d)
+    (declare (type (simple-array double-float (*)) work c u vt e d)
              (type fixnum info ldc ldu ldvt ncc nru ncvt n sqre)
              (type character uplo))
     (f2cl-lib:with-multi-array-data
@@ -62957,7 +62957,7 @@ ARGUMENTS
 (let* ((two 2.0))
   (declare (type (double-float 2.0 2.0) two))
   (defun dlasdt (n lvl nd inode ndiml ndimr msub)
-    (declare (type (simple-vector fixnum (*)) ndimr ndiml inode)
+    (declare (type (simple-array fixnum (*)) ndimr ndiml inode)
              (type fixnum msub nd lvl n))
     (f2cl-lib:with-multi-array-data
         ((inode fixnum inode-%data% inode-%offset%)
@@ -63141,7 +63141,7 @@ ARGUMENTS
 
 <<LAPACK dlaset>>=
 (defun dlaset (uplo m n alpha beta a lda)
-  (declare (type (simple-vector double-float (*)) a)
+  (declare (type (simple-array double-float (*)) a)
            (type (double-float) beta alpha)
            (type fixnum lda n m)
            (type character uplo))
@@ -63286,7 +63286,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dlasq1 (n d e work info)
-    (declare (type (simple-vector double-float (*)) work e d)
+    (declare (type (simple-array double-float (*)) work e d)
              (type fixnum info n))
     (f2cl-lib:with-multi-array-data
         ((d double-float d-%data% d-%offset%)
@@ -63495,7 +63495,7 @@ FURTHER DETAILS
            (type (double-float 4.0 4.0) four)
            (type (double-float 100.0 100.0) hundrd))
   (defun dlasq2 (n z info)
-    (declare (type (simple-vector double-float (*)) z)
+    (declare (type (simple-array double-float (*)) z)
              (type fixnum info n))
     (f2cl-lib:with-multi-array-data
         ((z double-float z-%data% z-%offset%))
@@ -64465,7 +64465,7 @@ ARGUMENTS
     (defun dlasq3 (i0 n0 z pp dmin sigma desig qmax nfail iter ndiv ieee)
       (declare (type (member t nil) ieee)
                (type (double-float) qmax desig sigma dmin)
-               (type (simple-vector double-float (*)) z)
+               (type (simple-array double-float (*)) z)
                (type fixnum ndiv iter nfail pp n0 i0))
       (f2cl-lib:with-multi-array-data
           ((z double-float z-%data% z-%offset%))
@@ -65150,7 +65150,7 @@ PURPOSE
     (defun dlasq4
            (i0 n0 z pp n0in dmin f2cl-lib:dmin1 dmin2 dn dn1 dn2 tau ttype)
       (declare (type (double-float) tau dn2 dn1 dn dmin2 f2cl-lib:dmin1 dmin)
-               (type (simple-vector double-float (*)) z)
+               (type (simple-array double-float (*)) z)
                (type fixnum ttype n0in pp n0 i0))
       (f2cl-lib:with-multi-array-data
           ((z double-float z-%data% z-%offset%))
@@ -65736,7 +65736,7 @@ ARGUMENTS
   (defun dlasq5 (i0 n0 z pp tau dmin f2cl-lib:dmin1 dmin2 dn dnm1 dnm2 ieee)
     (declare (type (member t nil) ieee)
              (type (double-float) dnm2 dnm1 dn dmin2 f2cl-lib:dmin1 dmin tau)
-             (type (simple-vector double-float (*)) z)
+             (type (simple-array double-float (*)) z)
              (type fixnum pp n0 i0))
     (f2cl-lib:with-multi-array-data
         ((z double-float z-%data% z-%offset%))
@@ -66220,7 +66220,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero))
   (defun dlasq6 (i0 n0 z pp dmin f2cl-lib:dmin1 dmin2 dn dnm1 dnm2)
     (declare (type (double-float) dnm2 dnm1 dn dmin2 f2cl-lib:dmin1 dmin)
-             (type (simple-vector double-float (*)) z)
+             (type (simple-array double-float (*)) z)
              (type fixnum pp n0 i0))
     (f2cl-lib:with-multi-array-data
         ((z double-float z-%data% z-%offset%))
@@ -66753,7 +66753,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dlasr (side pivot direct m n c s a lda)
-    (declare (type (simple-vector double-float (*)) a s c)
+    (declare (type (simple-array double-float (*)) a s c)
              (type fixnum lda n m)
              (type character direct pivot side))
     (f2cl-lib:with-multi-array-data
@@ -67373,7 +67373,7 @@ ARGUMENTS
 (let* ((select 20))
   (declare (type (fixnum 20 20) select))
   (defun dlasrt (id n d info)
-    (declare (type (simple-vector double-float (*)) d)
+    (declare (type (simple-array double-float (*)) d)
              (type fixnum info n)
              (type character id))
     (f2cl-lib:with-multi-array-data
@@ -67382,7 +67382,7 @@ ARGUMENTS
       (prog ((stack (make-array 64 :element-type 'fixnum)) (d1 0.0)
              (d2 0.0) (d3 0.0) (dmnmx 0.0) (tmp 0.0) (dir 0) (endd 0) (i 0)
              (j 0) (start 0) (stkpnt 0))
-        (declare (type (simple-vector fixnum (64)) stack)
+        (declare (type (simple-array fixnum (64)) stack)
                  (type (double-float) d1 d2 d3 dmnmx tmp)
                  (type fixnum dir endd i j start stkpnt))
         (setf info 0)
@@ -67669,7 +67669,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero))
   (defun dlassq (n x incx scale sumsq)
     (declare (type (double-float) sumsq scale)
-             (type (simple-vector double-float (*)) x)
+             (type (simple-array double-float (*)) x)
              (type fixnum incx n))
     (f2cl-lib:with-multi-array-data
         ((x double-float x-%data% x-%offset%))
@@ -67996,8 +67996,8 @@ ARGUMENTS
 
 <<LAPACK dlaswp>>=
 (defun dlaswp (n a lda k1 k2 ipiv incx)
-  (declare (type (simple-vector fixnum (*)) ipiv)
-           (type (simple-vector double-float (*)) a)
+  (declare (type (simple-array fixnum (*)) ipiv)
+           (type (simple-array double-float (*)) a)
            (type fixnum incx k2 k1 lda n))
   (f2cl-lib:with-multi-array-data
       ((a double-float a-%data% a-%offset%)
@@ -68230,13 +68230,13 @@ ARGUMENTS
          (make-array 4 :element-type 't :initial-contents '(nil nil t t)))
         (bswpiv
          (make-array 4 :element-type 't :initial-contents '(nil t nil t))))
-    (declare (type (simple-vector (member t nil) (4)) bswpiv xswpiv)
-             (type (simple-vector fixnum (4)) locu22 locl21 locu12))
+    (declare (type (simple-array (member t nil) (4)) bswpiv xswpiv)
+             (type (simple-array fixnum (4)) locu22 locl21 locu12))
     (defun dlasy2
            (ltranl ltranr isgn n1 n2 tl ldtl tr ldtr b ldb$ scale x ldx xnorm
             info)
       (declare (type (double-float) xnorm scale)
-               (type (simple-vector double-float (*)) x b tr tl)
+               (type (simple-array double-float (*)) x b tr tl)
                (type fixnum info ldx ldb$ ldtr ldtl n2 n1 isgn)
                (type (member t nil) ltranr ltranl))
       (f2cl-lib:with-multi-array-data
@@ -68253,10 +68253,10 @@ ARGUMENTS
                (tau1 0.0) (temp 0.0) (u11 0.0) (u12 0.0) (u22 0.0) (xmax 0.0)
                (i 0) (ip 0) (ipiv 0) (ipsv 0) (j 0) (jp 0) (jpsv 0) (k 0)
                (bswap nil) (xswap nil))
-          (declare (type (simple-vector double-float (16)) t16)
-                   (type (simple-vector double-float (4)) btmp tmp)
-                   (type (simple-vector double-float (2)) x2)
-                   (type (simple-vector fixnum (4)) jpiv)
+          (declare (type (simple-array double-float (16)) t16)
+                   (type (simple-array double-float (4)) btmp tmp)
+                   (type (simple-array double-float (2)) x2)
+                   (type (simple-array fixnum (4)) jpiv)
                    (type (double-float) bet eps gam l21 sgn smin smlnum tau1
                                         temp u11 u12 u22 xmax)
                    (type fixnum i ip ipiv ipsv j jp jpsv k)
@@ -68977,7 +68977,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dorg2r (m n k a lda tau work info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lda k n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -69166,7 +69166,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dorgbr (vect m n k a lda tau work lwork info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lwork lda k n m)
              (type character vect))
     (f2cl-lib:with-multi-array-data
@@ -69440,7 +69440,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dorghr (n ilo ihi a lda tau work lwork info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lwork lda ihi ilo n))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -69634,7 +69634,7 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun dorgl2 (m n k a lda tau work info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lda k n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -69811,7 +69811,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dorglq (m n k a lda tau work lwork info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lwork lda k n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -70061,7 +70061,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dorgqr (m n k a lda tau work lwork info)
-    (declare (type (simple-vector double-float (*)) work tau a)
+    (declare (type (simple-array double-float (*)) work tau a)
              (type fixnum info lwork lda k n m))
     (f2cl-lib:with-multi-array-data
         ((a double-float a-%data% a-%offset%)
@@ -70325,7 +70325,7 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dorm2r (side trans m n k a lda tau c ldc work info)
-    (declare (type (simple-vector double-float (*)) work c tau a)
+    (declare (type (simple-array double-float (*)) work c tau a)
              (type fixnum info ldc lda k n m)
              (type character trans side))
     (f2cl-lib:with-multi-array-data
@@ -70548,7 +70548,7 @@ ARGUMENTS
 
 <<LAPACK dormbr>>=
 (defun dormbr (vect side trans m n k a lda tau c ldc work lwork info)
-  (declare (type (simple-vector double-float (*)) work c tau a)
+  (declare (type (simple-array double-float (*)) work c tau a)
            (type fixnum info lwork ldc lda k n m)
            (type character trans side vect))
   (f2cl-lib:with-multi-array-data
@@ -70836,7 +70836,7 @@ ARGUMENTS
 (let* ((one 1.0))
   (declare (type (double-float 1.0 1.0) one))
   (defun dorml2 (side trans m n k a lda tau c ldc work info)
-    (declare (type (simple-vector double-float (*)) work c tau a)
+    (declare (type (simple-array double-float (*)) work c tau a)
              (type fixnum info ldc lda k n m)
              (type character trans side))
     (f2cl-lib:with-multi-array-data
@@ -71042,7 +71042,7 @@ ARGUMENTS
   (declare (type (fixnum 64 64) nbmax)
            (type fixnum ldt))
   (defun dormlq (side trans m n k a lda tau c ldc work lwork info)
-    (declare (type (simple-vector double-float (*)) work c tau a)
+    (declare (type (simple-array double-float (*)) work c tau a)
              (type fixnum info lwork ldc lda k n m)
              (type character trans side))
     (f2cl-lib:with-multi-array-data
@@ -71060,7 +71060,7 @@ ARGUMENTS
              (t$
               (make-array (the fixnum (reduce #'* (list ldt nbmax)))
                           :element-type 'double-float)))
-        (declare (type (simple-vector double-float (*)) t$)
+        (declare (type (simple-array double-float (*)) t$)
                  (type fixnum i i1 i2 i3 ib ic iinfo iws jc ldwork
                                            lwkopt mi nb nbmin ni nq nw)
                  (type (simple-array character (1)) transt)
@@ -71320,7 +71320,7 @@ ARGUMENTS
   (declare (type (fixnum 64 64) nbmax)
            (type fixnum ldt))
   (defun dormqr (side trans m n k a lda tau c ldc work lwork info)
-    (declare (type (simple-vector double-float (*)) work c tau a)
+    (declare (type (simple-array double-float (*)) work c tau a)
              (type fixnum info lwork ldc lda k n m)
              (type character trans side))
     (f2cl-lib:with-multi-array-data
@@ -71336,7 +71336,7 @@ ARGUMENTS
              (t$
               (make-array (the fixnum (reduce #'* (list ldt nbmax)))
                           :element-type 'double-float)))
-        (declare (type (simple-vector double-float (*)) t$)
+        (declare (type (simple-array double-float (*)) t$)
                  (type fixnum i i1 i2 i3 ib ic iinfo iws jc ldwork
                                            lwkopt mi nb nbmin ni nq nw)
                  (type (member t nil) left lquery notran))
@@ -71631,9 +71631,9 @@ FURTHER DETAILS
   (declare (type (double-float 0.0 0.0) zero)
            (type (double-float 1.0 1.0) one))
   (defun dtrevc (side howmny select n t$ ldt vl ldvl vr ldvr mm m work info)
-    (declare (type (simple-vector double-float (*)) work vr vl t$)
+    (declare (type (simple-array double-float (*)) work vr vl t$)
              (type fixnum info m mm ldvr ldvl ldt n)
-             (type (simple-vector (member t nil) (*)) select)
+             (type (simple-array (member t nil) (*)) select)
              (type character howmny side))
     (f2cl-lib:with-multi-array-data
         ((side character side-%data% side-%offset%)
@@ -71651,7 +71651,7 @@ FURTHER DETAILS
              (ki 0) (n2 0) (allv nil) (bothv nil) (leftv nil) (over nil)
              (pair nil) (rightv nil) (somev nil) (sqrt$ 0.0f0))
         (declare (type (single-float) sqrt$)
-                 (type (simple-vector double-float (4)) x)
+                 (type (simple-array double-float (4)) x)
                  (type (double-float) beta bignum emax ovfl rec remax scale
                                       smin smlnum ulp unfl vcrit vmax wi wr
                                       xnorm)
@@ -73677,7 +73677,7 @@ ARGUMENTS
 (let* ((zero 0.0))
   (declare (type (double-float 0.0 0.0) zero))
   (defun dtrexc (compq n t$ ldt q ldq ifst ilst work info)
-    (declare (type (simple-vector double-float (*)) work q t$)
+    (declare (type (simple-array double-float (*)) work q t$)
              (type fixnum info ilst ifst ldq ldt n)
              (type character compq))
     (f2cl-lib:with-multi-array-data
@@ -74201,10 +74201,10 @@ FURTHER DETAILS
   (defun dtrsna
          (job howmny select n t$ ldt vl ldvl vr ldvr s sep mm m work ldwork
           iwork info)
-    (declare (type (simple-vector fixnum (*)) iwork)
-             (type (simple-vector double-float (*)) work sep s vr vl t$)
+    (declare (type (simple-array fixnum (*)) iwork)
+             (type (simple-array double-float (*)) work sep s vr vl t$)
              (type fixnum info ldwork m mm ldvr ldvl ldt n)
-             (type (simple-vector (member t nil) (*)) select)
+             (type (simple-array (member t nil) (*)) select)
              (type character howmny job))
     (f2cl-lib:with-multi-array-data
         ((job character job-%data% job-%offset%)
@@ -74224,7 +74224,7 @@ FURTHER DETAILS
              (j 0) (k 0) (kase 0) (ks 0) (n2 0) (nn 0) (pair nil) (somcon nil)
              (wantbh nil) (wants nil) (wantsp nil) (/=$ 0.0f0))
         (declare (type (single-float) /=$)
-                 (type (simple-vector double-float (1)) dummy)
+                 (type (simple-array double-float (1)) dummy)
                  (type (double-float) bignum cond$ cs delta dumm eps est lnrm
                                       mu prod prod1 prod2 rnrm scale smlnum sn)
                  (type fixnum i ierr ifst ilst j k kase ks n2 nn)
@@ -75613,8 +75613,8 @@ ARGUMENTS
   (declare (type (double-float 1.0 1.0) one)
            (type (double-float 0.0 0.0) zero))
   (defun zlange (norm m n a lda work)
-    (declare (type (simple-vector double-float (*)) work)
-             (type (simple-vector (complex double-float) (*)) a)
+    (declare (type (simple-array double-float (*)) work)
+             (type (simple-array (complex double-float) (*)) a)
              (type fixnum lda n m)
              (type character norm))
     (f2cl-lib:with-multi-array-data
@@ -75797,7 +75797,7 @@ ARGUMENTS
   (declare (type (double-float 0.0 0.0) zero))
   (defun zlassq (n x incx scale sumsq)
     (declare (type (double-float) sumsq scale)
-             (type (simple-vector (complex double-float) (*)) x)
+             (type (simple-array (complex double-float) (*)) x)
              (type fixnum incx n))
     (f2cl-lib:with-multi-array-data
         ((x (complex double-float) x-%data% x-%offset%))
diff --git a/changelog b/changelog
index 7d71ae3..fc9f753 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100604 tpd src/axiom-website/patches.html 20100604.07.tpd.patch
+20100604 tpd books/bookvol10.5 use simple-array, not simple-vector type
 20100604 tpd src/axiom-website/patches.html 20100604.06.tpd.patch
 20100604 tpd src/input/Makefile add rule-based algebraic integration
 20100604 tpd src/input/richalgebraic100-199.input rule-based algebraic int.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6bf4eba..fc884a4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2846,5 +2846,7 @@ src/input/richalgebraic000-099.input rule-based algebraic integration<br/>
 books/bookvol5 add Albert D. Rich to credits<br/>
 <a href="patches/20100604.06.tpd.patch">20100605.06.tpd.patch</a>
 src/input/richalgebraic100-199.input rule-based algebraic integration<br/>
+<a href="patches/20100604.07.tpd.patch">20100605.07.tpd.patch</a>
+books/bookvol10.5 use simple-array, not simple-vector type<br/>
  </body>
 </html>
